/*Configurações Gerais*/

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'poppins', 'sans-serif';
}

.container {
    width: 100%;
    max-width: 1180px;
    margin: auto;
}

a {
    text-decoration: none;
    width: min-content;
    height: min-content;
}

#loading {
    top: 0;
    background-color: rgb(0, 0, 0, 0.5);
    color: #fff;
    position: fixed;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

/*Menu de navegação*/


header {
    top: 0;
    width: 100%;
    height: 60px;
    display: flex;
    flex-direction: column;
    background-color: #fff;
    justify-content: center;
}

header .nav {
    display: flex;
    margin: 0 30px 0 30px;
    align-items: center;
    justify-items: center;
    ;
    justify-content: space-between;
}

header li {
    list-style-type: none;
    display: inline-block;
    margin-left: 20px;
    cursor: pointer;
}

header li:hover {
    color: #EFAC23;
}

header img {
    width: 50px;
    height: 50px;
    background-position: center;
}

#logo {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.menu ul {
    margin-bottom: 0;
}

/*Banner*/


.banner {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    height: 700px;
}

.banner .content {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 400px;
}

.banner .content img {
    width: 100%;
    height: 100%;
    object-position: center;
    object-fit: cover;
}

.banner .banner_menu {
    display: flex;
    flex-direction: column;
    align-items: end;
    justify-content: center;
    width: 100%;
    height: 300px;
    position: absolute;
    top: 370px;
    background-image: url('img/bibliomenu.png');
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.5);
}

.banner h1 {
    display: none;
    text-align: center;
    color: #fff;
    font-size: 32px;
}

/*Botões Banner*/


.btn_banner {
    line-height: 50px;
    height: 50px;
    text-align: center;
    width: 250px;
    cursor: pointer;
    margin: 10px 30px 10px 0px;
}

.btn-menu {
    color: #FFF;
    transition: all 0.5s;
    position: relative;
}

.btn-menu::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.1);
    transition: all 0.3s;
}

.btn-menu:hover::before {
    opacity: 0;
    transform: scale(0.5, 0.5);
}

.btn-menu::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: all 0.3s;
    border: 1px solid rgba(255, 255, 255, 0.5);
    transform: scale(1.2, 1.2);
}

.btn-menu:hover::after {
    opacity: 1;
    transform: scale(1, 1);
}

/*Generos*/


.generos {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 600px;
}

.generos h2 {
    font-weight: 500;
}

.btn {
    align-self: flex-end;
    justify-self: first baseline;
    position: absolute;
    margin-top: 8px;
    margin-right: 20px;
    width: 100px;
    height: 30px;
    background-color: transparent;
    border: 2px solid #EFAC23;
    color: #EFAC23;
    cursor: pointer;
    border-radius: 0.7em;
    font-size: 1rem;
    text-decoration: none;
    text-align: center;
    -webkit-transition: box-shadow 300ms ease-in-out, color 300ms ease-in-out;
    transition: box-shadow 300ms ease-in-out, color 300ms ease-in-out;
}

.btn a {
    color: #EFAC23;
    width: 100%;
    height: 100%;
    transition: box-shadow 300ms ease-in-out, color 300ms ease-in-out;
}

.btn:hover,
.btn:focus {
    color: #fff;
    outline: 0;
}

.btn:hover {
    box-shadow: 0 0 40px 40px #EFAC23 inset;
}

.btn:hover a {
    color: #FFF;
}

.generos hr {
    height: 2px;
    width: 18.5%;
    border-width: 0;
    color: #EFAC23;
    background-color: #EFAC23;
}

.generos .cards_generos {
    display: flex;
    flex-direction: row;
    margin-right: 20px;
}

.generos .card {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30%;
    height: 170px;
    margin-top: 30px;
    margin-left: 5%;
    font-weight: 900;
    cursor: pointer;
    transition: 0.5s;
    border-radius: 10px;
    box-shadow: 10px 10px 40px -30px #434343;
    background-color: #e9e9e9;
    background-image: url("data:image/svg+xml,%3Csvg width='52' height='26' viewBox='0 0 52 26' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Cg fill='%23efac23' fill-opacity='1'%3E%3Cpath d='M10 10c0-2.21-1.79-4-4-4-3.314 0-6-2.686-6-6h2c0 2.21 1.79 4 4 4 3.314 0 6 2.686 6 6 0 2.21 1.79 4 4 4 3.314 0 6 2.686 6 6 0 2.21 1.79 4 4 4v2c-3.314 0-6-2.686-6-6 0-2.21-1.79-4-4-4-3.314 0-6-2.686-6-6zm25.464-1.95l8.486 8.486-1.414 1.414-8.486-8.486 1.414-1.414z' /%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}

.generos .card:first-child {
    margin-left: 0;
}

.generos .card:hover {
    transform: scale3d(1.1, 1.1, 1);
    box-shadow: 20px 20px 40px -30px #000;
}

/*Carrossel*/

.carrossel {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 520px;
}

.carrossel h2 {
    font-weight: 300;
}

.carrossel hr {
    height: 2px;
    width: 100%;
    margin-top: 10px;
    border-width: 0;
    color: #EFAC23;
    background-color: #EFAC23;
}

.carrossel .alinhamento {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.book {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    max-height: 50px;
    margin-left: 5%;
    margin-top: 30px;
    transition: 0.3s;
    cursor: pointer;
}

.alinhamento ol {
    display: flex;
    justify-content: space-evenly;
    width: 100%;
}

.book li {
    list-style-type: none;
    display: inline-block;
    cursor: pointer;
    transition: 0.3s;
    width: min-content;
}

.book li img {
    height: 315px;
    width: 210px;
    object-fit: fill;
    box-shadow: -10px -2px 30px 0px rgba(0, 0, 0, 0.25);
}


.carrossel .book:first-child {
    margin-left: 0%
}

#brasileira {
    margin-top: 100px;
}

.book span {
    font-weight: 500;
    font-size: 14px;
}

.book img {
    border-radius: 5px 5px 0 0;
    transition: 0.5s;
}

.book li:hover {
    border-radius: 0 0 5px 5px;
}

.book img:hover {
    transform: scale3d(1.05, 1.05, 1);
    box-shadow: 20px 10px 40px -30px #000;
}


/*Quebra da Página*/


.quebra {
    width: 100%;
    height: fit-content;
}

.quebra img {
    width: 100%;
    height: 100%;
}

.quebra #img {
    display: none;
}

/*Botão Biblioteca*/


#biblioteca {
    justify-self: center;
    align-self: center;
    position: relative;
    margin-top: 60px;
    margin-top: 360px;
    width: 200px;
}

/*Rodapé*/

.rodape {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 350px;
    margin-top: 100px;
    background-color: #EFAC23;
}

.alinhamento_rodape {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 80%;
}

.rodape .div_rodape {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 25%;
    height: 100%;
    line-height: 25px;
}

.rodape .div_rodape:first-child {
    margin-left: 5%;
}

.rodape .div_rodape h2 {
    color: #fff;
    font-weight: 400;
    opacity: 0.6;
    margin-bottom: 10px;
}

.rodape .div_rodape a {
    color: #fff;
    font-weight: 300;
    text-decoration: none;
    width: auto;
}

.rodape .div_rodape a:hover {
    color: #d6d6d6;
    font-weight: 300;
    text-decoration: none;
}

.rodape .div_rodape img {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 15%;
    max-width: 80%;
    height: auto;
}

.rodape p {
    color: #FFF;
    font-weight: 200;
    padding-right: 4%;
    max-width: 1340px;
    margin-top: 1%;
    font-size: 1vw;
    align-self: flex-end;
}

.rodape hr {
    margin-left: 4%;
    width: 60%;
    height: 2px;
    border-width: 0;
    opacity: 0.6;
    color: #fff;
    background-color: #fff;
}

#logo_menu {
    display: none;
}


/*Responsividade*/


@media screen and (max-width: 1220px) {

    .generos .cards_generos {
        margin: 0 20px 0 0;
        padding: 0 20px 0 20px;
    }

    .carrossel .alinhamento {
        margin-left: 20px;
        margin-right: 20px;
    }

    .carrossel h2 {
        margin-left: 20px;
    }

    .carrossel hr {
        margin-left: 20px;
    }

    .banner .banner_menu {
        background-image: url('img/bibliomenor.png');
        background-size: cover;
        align-items: center;
        justify-content: center;
    }

}

@media screen and (min-width: 769px) and (max-width: 1024px) {

    /*Banner*/

    .generos h2 {
        margin-left: 20px;
    }

    .generos hr {
        margin-left: 20px;
        width: 230px;
    }

    .generos .btn {
        margin-right: 10px;
    }

    .generos .cards_generos {
        margin: 0 20px 0 0;
    }

    /*Generos*/

    .carrossel h2 {
        margin-left: 20px;
    }

    .carrossel hr {
        margin-left: 20px;
        width: 120px;
    }

    .carrossel .alinhamento {
        margin-left: 20px;
        margin-right: 20px;
    }

    .id01 hr {
        width: 230px;
    }

    .id02 hr {
        width: 200px;
    }

    .id03 hr {
        width: 105px;
    }

    /*Carrossel*/

    .carrossel {
        height: 470px;
    }

    .book li img {
        height: 275px;
        width: 180px;
    }

    .carrossel hr {
        width: 95%;
    }

    /*Rodapé*/

    .rodape p {
        display: none;
    }


}

@media screen and (min-width: 769px) and (max-width: 920px) {

    /*Carrossel*/

    .carrossel {
        height: 470px;
    }

    .book li img {
        height: 250px;
        width: 160px;
    }

    .carrossel hr {
        width: 95%;
    }
}

@media screen and (min-width: 769px) and (max-width: 820px) {

    /*Carrossel*/

    .carrossel {
        height: 430px;
    }

    .book li img {
        height: 215px;
        width: 140px;
    }

    .carrossel hr {
        width: 95%;
    }
}

@media screen and (min-width: 481px) and (max-width: 768px) {

    /*Banner*/

    hr {
        margin-bottom: 30px;
    }

    .banner {
        height: min-content;
        margin-bottom: 80px;
    }

    .banner .banner_menu {
        display: none;
    }

    .banner h1 {
        font-size: 24px;
    }

    .banner .content {
        height: 250px;
    }

    /*Generos*/

    .generos {
        height: min-content;
        margin-bottom: 80px;
    }

    .generos h2 {
        align-self: center;
    }

    .btn {
        align-self: center;
        justify-self: center;
        position: relative;
        order: 3;
        margin-top: 40px;
        margin-right: 0;
    }

    .generos hr {
        align-self: center;
        width: 50%;
        border-width: 0;
    }

    .generos #alinhamento_genero {
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        width: 100%;
        margin-top: 30px;
    }

    .generos .cards_generos {
        display: flex;
        flex-direction: column;
        width: 40%;
        margin: 0 20px 0 20px;
    }

    .generos .cards_generos:first-child {
        margin: 0 0 0 20px;
    }

    .generos .card {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 170px;
        margin: 20px 0 10px 0;
    }

    .generos span {
        text-align: center;
    }

    .generos .card:first-child {
        margin: 0;
    }

    .generos .card:last-child {
        margin-top: 10px;
    }

    /*Carrossel*/

    .carrossel {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 880px;
        margin-bottom: 80px;
    }

    .carrossel h2 {
        align-self: center;
    }

    .carrossel hr {
        align-self: center;
        width: 50%;
    }

    .carrossel .alinhamento ol {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-evenly;
        width: 100%;
    }

    .carrossel .book li {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: min-content;
        margin: 30px 10px 0 10px;
    }

    .carrossel .book li:first-child {
        margin-left: 10px;
    }

    .carrossel .book li:last-child {
        display: none;
    }

    .book{
        margin-top: 0px;
    }

    .book li img {
        height: 300px;
        width: 230px;
    }

    .quebra{
        display: none;
    }

    .quebra img {
        height: 300px;
    }

    #biblioteca {
        margin-top: 100vh;
        margin-right: 0;
    }

    /*Rodapé*/

    .rodape {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: min-content;
        margin-top: 150px;
    }

    .alinhamento_rodape {
        flex-direction: column;
        width: 100%;
        height: 100%;
    }

    .rodape .div_rodape {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 50%;
        height: 100%;
        line-height: 25px;
        margin: 30px 0 0px 0;
    }

    .rodape .div_rodape:first-child {
        margin-left: 0;
    }

    .rodape .div_rodape h2 {
        align-self: center;
    }

    .rodape .div_rodape a {
        width: fit-content;
    }

    .rodape p {
        margin-bottom: 20px;
        align-self: center;
        margin-right: 0;
        font-size: 60%;
        padding-right: 0;
    }

    .rodape .div_rodape img {
        height: 100%;
        margin: 0;
    }

    .rodape .div_rodape {
        height: min-content;
        margin: 30px 0 0 0;
    }

    .rodape hr {
        display: none;
    }
}

@media screen and (max-width: 480px) {

    /*Banner*/

    .banner {
        height: min-content;
        margin-bottom: 80px;
    }

    .banner .banner_menu {
        display: none;
    }

    .banner h1 {
        font-size: 24px;
    }

    .banner .content {
        height: 200px;
    }

    /*Generos*/

    .generos {
        height: min-content;
        margin-bottom: 80px;
    }

    .generos h2 {
        align-self: center;
    }

    .btn {
        align-self: center;
        justify-self: center;
        position: relative;
        order: 3;
        margin-top: 30px;
        margin-right: 0;
    }

    .generos hr {
        align-self: center;
        width: 50%;
        border-width: 0;
    }

    .generos #alinhamento_genero {
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        width: 100%;
        margin-top: 30px;
    }

    .generos .cards_generos {
        display: flex;
        flex-direction: column;
        width: 50%;
        margin: 0 20px 0 0;
        padding-left: 0;
    }

    .generos .cards_generos:first-child {
        margin: 0 0 0 40px;
    }

    .generos .card {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 170px;
        margin: 20px 0 10px 0;
    }

    .generos span {
        text-align: center;
    }

    .generos .card:first-child {
        margin: 0;
    }

    .generos .card:last-child {
        margin-top: 10px;
    }

    /*Quebra*/

    .quebra .img {
        display: none;
    }

    .quebra #img {
        display: flex;
    }

    /*Carrossel*/

    .carrossel {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 600px;
        margin-bottom: 80px;
    }

    .carrossel h2 {
        align-self: center;
        margin-left: 0;
    }

    .carrossel hr {
        align-self: center;
        width: 50%;
    }

    .carrossel .alinhamento ol {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-evenly;
        width: 100%;
        margin-left: 0px
    }

    .carrossel .book li {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 40%;
        margin: 30px 10px 0 10px;
    }

    .carrossel .book:first-child {
        margin-left: 10px;
    }

    .carrossel .book li:last-child {
        display: none;
    }

    .book li img {
        height: 200px;
        width: 150px;
    }

    #biblioteca {
        margin-top: 65vh;
        margin-right: 0;
    }

    #fn {
        height: 740px;
    }

    .id03{
        margin-top: 160px;
    }

    /*Rodapé*/

    .rodape {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: min-content;
        margin-top: 120px;
    }

    .alinhamento_rodape {
        flex-direction: column;
        width: 100%;
        height: 100%;
    }

    .rodape .div_rodape {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 50%;
        height: 100%;
        line-height: 25px;
        margin: 30px 0 0px 0;
    }

    .rodape .div_rodape:first-child {
        margin-left: 0;
    }

    .rodape .div_rodape h2 {
        align-self: center;
    }

    .rodape .div_rodape a {
        width: min-content;
    }

    .rodape p {
        margin-bottom: 20px;
        align-self: center;
        margin-right: 0;
        font-size: 60%;
        padding-right: 0;
    }

    .rodape .div_rodape img {
        height: min-content;
        margin: 0;
    }

    .rodape hr {
        display: none;
    }
}

@media screen and (max-width: 390px) {

    /*Carrossel*/

    .carrossel h2 {
        margin-left: 0;
    }

    .id03 {
        margin-top: 230px;
    }

    .generos .cards_generos {
        margin: 0 20px 0 0;
        padding-left: 0;
        padding-right: 0;
    }

    .generos .cards_generos:first-child {
        margin: 0 20px 0 20px;
    }

    .book li img {
        width: 140px;
    }

    #biblioteca {
        margin-top: 70vh;
    }

    .btn {
        margin-right: 0;
    }

    #fn {
        height: 690px;
    }
}

@media screen and (max-width: 375px) {
    #biblioteca {
        margin-top: 88vh;
    }

    #fn {
        height: 745px
    }
}

@media screen and (max-width: 280px) {

    header li {
        margin-left: 5px;
    }

    header .nav {
        margin: 0 10px 0 10px;
    }

    .banner .content img {
        width: 100vh;
    }

    .carrossel {
        height: 460px;
    }

    .carrossel h2 {
        margin-left: 0;
    }

    .carrossel:last-child {
        margin-top: 1000px;
    }

    .book li img {
        height: 150px;
        width: 100px;
    }

    .carrossel span {
        font-size: 4vw;
    }

    #biblioteca {
        margin-top: 67vh;
    }

    #fn {
        margin-top: 120px;
        height: 595px;
    }

    /*Rodapé*/

    .rodape {
        margin-top: 80px;
    }
}

@media screen and (max-width: 350px) {
    header li {
        margin-left: 10px;
    }

    header .nav {
        margin: 0 15px 0 15px;
    }
}

@media screen and (max-width: 300px) {
    header li {
        margin-left: 10px;
    }

    header .nav {
        margin: 0 10px 0 10px;
    }
}

@media screen and (max-width: 300px) {
    header li {
        margin-left: 5px;
    }

    header .nav {
        margin: 0 5px 0 5px;
    }
}

@media screen and (max-width: 260px) {
    header li {
        margin-left: 5px;
    }

    header .nav {
        margin: 0 5px 0 5px;
    }
}